package com.clx.order.params;

import com.msl.common.convertor.field.Converted;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

@Data
public class OrderGoodsParams {

    @ApiModelProperty("订单编号")
    @NotBlank(message = "订单编号不能为空")
    private String orderNo;

    @ApiModelProperty("用车方式 1：平台车辆配货 2：自有车辆配货")
    private String vehicleUsage;

    @Converted(isDynamic = true)
    private List<OrderGoodsChildParams> orderGoodsChildParams;
}
